Bulk Contact Details
curl --request POST \
--url https://api.bizzy.ai/v2/companies/contacts/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v2/companies/contacts/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v2/companies/contacts/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "770493071",
"name": "Bizzy",
},
"contacts": [
{
"contactIdentifier": {
"contactId": "1234567890",
"firstName": "John",
"lastName": "Doe"
},
"data": {
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"linkedinUrl": "https://be.linkedin.com/in/john-doe",
"jobTitle": "Software Engineer",
"department": [
"ENGINEERING"
],
"seniority": [
"NON_MANAGEMENT"
],
"email": {
"value": null,
"status": null
},
"mobilePhone": {
"value": null,
"dataProvider": null,
"error": null
}
},
"message": null
},
{
"contactIdentifier": {
"contactId": "123", // Example error contact
},
"data": null,
"message": "Contact not found"
}
],
"message": null
},
{
"companyIdentifier": { // Example error company
"countryCode": "BE",
"companyId": "123",
"name": ""
},
"contacts": null,
"message": "Company not found"
},
]
Company API
Bulk Contact Details
POST
/
v2
/
companies
/
contacts
/
details
Bulk Contact Details
Request
Header
string
default:"EN"
- NL: Dutch - FR: French - EN: English
Body
array
Show companyContact properties
Show companyContact properties
object
required
Show companyIdentifier properties
Show companyIdentifier properties
string
required
Obfuscated companyId returned by the search endpoint.
string
required
Any supported country code — see Supported countries.
You can request up to 100 companies at once.
Response
This endpoint no longer enriches
email or mobilePhone inline — both are always returned unenriched (value: null, status/error: null). To enrich contacts in bulk, use Bulk Enrich Contacts and poll Enrichment Status for each result.string[]
The available departments of the contact.
department is an array of the following values:Available Departments
Available Departments
SOFTWARE_ENGINEERINGDATA_ANALYTICSCLOUD_ENGINEERINGBIO_ENGINEERINGCHEMICAL_ENGINEERINGENGINEERINGPROJECT_MANAGEMENTPRODUCT_MANAGEMENTTEST_AND_QUALITY_ASSURANCECYBER_SECURITYINNOVATION_AND_DIGITAL_TRANSFORMATIONFINANCEACCOUNTINGINVESTOR_RELATIONSREAL_ESTATE_FINANCEFINANCIAL_RISKASSET_MANAGEMENTSOURCING_AND_PROCUREMENTTAXTREASURYBANKINGPAYROLL_COMPENSATION_AND_BENEFITSDIVERSITY_EQUITY_INCLUSIONRECRUITMENTLEARNING_AND_DEVELOPMENTHUMAN_RESOURCESCOMPLIANCEPRIVACYINTELLECTUAL_PROPERTYLEGALDIGITAL_MARKETINGBRAND_MANAGEMENTCONTENT_MARKETINGLEAD_GENERATIONPUBLIC_RELATIONSSEO_OPTIMIZTIONEVENTSSPONSORSHIPSMARKETINGCORPORATE_STRATEGYCUSTOMER_SUPPORTLOGISTICSSUPPLY_CHAINFACILITY_AND_PROPERTY_MANAGEMENTOFFICE_MANAGEMENTSAFETY_AND_SECURITYSTORE_OPERATIONSOPERATIONSADMINISTRATIONACCOUNT_MANAGEMENTBUSINESS_DEVELOPMENTCHANNEL_SALESCUSTOMER_SUCCESSPARTNERSHIPSSALES
string[]
The available seniorities of the contact.
seniority is an array of the following values:Available Seniorities
Available Seniorities
C_LEVELFOUNDEROWNEROFFICIAL_DIRECTORPARTNERVPDIRECTORSENIORMANAGERENTRYINTERNNON_MANAGEMENT
object
object
Show mobilePhone properties
Show mobilePhone properties
string
Mobile phone in the following format:
+32 000 00 00 00string
The data provider of the mobile phone number.
PROSPEOCLEON1FORAGER
string
Possible errors when enriching the mobile phone number.
INVALID_API_KEYINSUFFICIENT_CREDITSRATE_LIMITEDRATE_LIMITED_BURSTINTERNAL_ERRORINVALID_INPUTBILLINGFORBIDDENTIMEOUT
[
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "770493071",
"name": "Bizzy",
},
"contacts": [
{
"contactIdentifier": {
"contactId": "1234567890",
"firstName": "John",
"lastName": "Doe"
},
"data": {
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"linkedinUrl": "https://be.linkedin.com/in/john-doe",
"jobTitle": "Software Engineer",
"department": [
"ENGINEERING"
],
"seniority": [
"NON_MANAGEMENT"
],
"email": {
"value": null,
"status": null
},
"mobilePhone": {
"value": null,
"dataProvider": null,
"error": null
}
},
"message": null
},
{
"contactIdentifier": {
"contactId": "123", // Example error contact
},
"data": null,
"message": "Contact not found"
}
],
"message": null
},
{
"companyIdentifier": { // Example error company
"countryCode": "BE",
"companyId": "123",
"name": ""
},
"contacts": null,
"message": "Company not found"
},
]
Was this page helpful?